Bug 241557 - can't check whether a non-setup()ed repo is ready()
Summary: can't check whether a non-setup()ed repo is ready()
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-28 03:23 UTC by Bill Nottingham
Modified: 2014-03-17 03:07 UTC (History)
1 user (show)

Fixed In Version: 3.2.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-28 01:49:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-05-28 03:23:30 UTC
Description of problem:


>>> f = yum.yumRepo.YumRepository('foo')
>>> print f
foo
>>> print f.ready()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 274, in ready
    return self.repoXML is not None
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 684, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 678, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 647, in _loadRepoXML
    if self.cache or self.metadataCurrent():
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 608, in
metadataCurrent
    if os.path.exists(self.metadata_cookie):
AttributeError: 'YumRepository' object has no attribute 'metadata_cookie'

Version-Release number of selected component (if applicable):

yum-3.2.0-1.fc7

How reproducible:

Every time

Additional info:

See also bug 241552.

Comment 1 Seth Vidal 2007-06-21 18:00:17 UTC
this will be fixed in 3.2.1 as it also impacts 'grouplist' :)


Comment 2 Fedora Update System 2007-06-21 22:03:25 UTC
yum-3.2.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-06-28 01:48:34 UTC
yum-3.2.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2007-07-23 15:46:12 UTC
yum-3.2.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Seth Vidal 2007-08-03 03:22:11 UTC
3.2.2 fixes the specific case but the general case, I believe is fixed by this:

http://devel.linux.duke.edu/gitweb/?p=yum.git;a=commit;h=4d832cb25f710435d8f75e9c32630069e7cee076



Comment 6 Fedora Update System 2007-08-15 19:47:26 UTC
yum-3.2.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.